@import "../../mixins.scss";

.infinite-list-component {
  --row-bg: #ccc;
  --row-color: var(--base-black);
  .top-action {
    display: flex;
    padding: 5px;
    background: white;
    flex-wrap: wrap;
    .total-count {
      background: white;
      padding: 0px 10px;
      margin: 0 3px;
      align-self: center;
      font-size: var(--font-m);
      font-weight: 600;
      span {
        color: var(--grey-label);
      }
    }
    .check-box-filters {
      display: flex;
      margin: 0 5px 0 auto;
      .checkbox-holder {
        align-items: unset !important;
        padding: 0 10px 0 0px;
        .checkbox__content {
          margin-top: 7px;
        }
      }
    }
    .search-before-incl-excl {
      display: flex;
      input {
        height: 100% !important;
        width: 235px;
      }
      &::after {
        content: "";
        display: block;
        height: 95%;
        border-right: 2px solid lightgray;
        margin-left: 14px;
      }
    }
    .search-before-incl-excl + .include-exclude-infinite {
      flex-grow: 1;
      width: 50%;
    }
    .include-exclude-infinite {
      display: flex;
      align-items: center;
      width: 80%;
      max-width: 80%;
      .list-header-tag {
        padding-left: 5px;
        padding-top: 5px;
        width: 100%;
        border: 1px solid var(--primary);
        .react-tagsinput-tag {
          padding: 1px 5px;
        }
        .incl-excl-input {
          padding-top: 0;
          padding-bottom: 0;
          width: 150px !important;
        }
      }
      .incl-excl-radio {
        margin: 0 8px;
        width: fit-content;
        padding: 0 5px;
        display: flex;
        min-width: 155px;
        .radio-btn-group {
          gap: 10px;
        }
        .radio-btn {
          padding: 0;
          input[type="radio"] {
            margin-right: 5px;
          }
        }
      }
      .search-total-sep {
        border-right: 2px solid lightgray;
        height: 80%;
      }
    }
    .infinite-list-filters {
      line-height: 3;
      padding: 5px 0;
      display: flex;
      width: 100%;
      font-size: var(--font-m);
      font-weight: 600;
      .filters-h3 {
        display: flex;
        align-items: center;
        span {
          display: inline-block;
          width: 105px;
          font-weight: 500;
        }
      }
      span.filter__label {
        display: inline-block;
        min-width: 130px;
        align-self: center;
      }
      .tiles {
        display: flex;
        padding: 6px 0 0 0;
        flex-wrap: wrap;
        .filter-tile {
          border: 1px solid #ccc;
          padding: 0px 5px;
          display: flex;
          height: 23px;
          justify-content: space-between;
          line-height: 1.7;
          margin: 2px 0 0 5px;
          background: white;
          img.d-pointer.icon-remove {
            width: 14px;
            border-left: 1px solid #ccc;
            padding: 0 0 0 5px;
            margin: 0 0 0 3px;
          }
        }
        .filter-tile.green-tile {
          color: var(--pm-success);
        }
        .filter-tile.red-tile {
          color: var(--pm-danger);
        }
      }
      img.filter-img {
        filter: invert(1);
        padding: 0 4px 0px 5px;
      }
      .no-filter-applied {
        font-size: var(--font-m);
        font-weight: 100;
        line-height: 2;
        color: #777;
        margin: auto 0;
      }
      .tiles > * {
        flex: auto auto auto;
      }
    }
    .radio-box-filters {
      display: flex;
      margin: 0 4px;
      .input-radio-infi {
        display: flex;
        .radio-btn-group {
          margin: 2px 15px;
        }
      }
    }
  }

  .no-data-infinite-list {
    border: 1px solid #ccc;
    padding: 10px 20px;
    font-weight: 500;
    text-align: center;
    margin: 5px 0 0 0;
  }

  .header {
    background: white;
    font-size: var(--font-m);
    font-weight: 500;
    display: flex;
    border-top: 1px solid var(--row-bg);
    color: #777;
    padding-right: 15px;
    .cell {
      font-weight: bold;
    }
    .cursor-pointer {
      cursor: pointer;
    }
  }
  .row-panel {
    display: flex;
    flex-grow: 1;
    background: white;
    &.even {
      background: #ffffff94;
    }
  }
  .cell {
    flex-grow: 1;
    flex-basis: calc(100% / 2);
    padding: 8px;
    font-size: var(--font-m);
    font-weight: 450;
    align-self: center;
  }
  .width-10 {
    max-width: 10%;
  }
  .width-15 {
    max-width: 15%;
  }
  .width-20 {
    max-width: 20%;
  }
  .width-25 {
    max-width: 25%;
  }
  .width-30 {
    max-width: 30%;
  }

  .load-more {
    margin: 0 !important;
    background: white;
  }
  .loader-list {
    position: absolute;
    left: 43%;
    top: 33%;
    z-index: 999;
  }
  .no-data-inf {
    padding: 8px 20px;
    font-weight: 500;
    text-align: center;
    margin: 1px 0 0 0;
    background: white;
  }
}
